### Method

# FwupdPlugin HidDevice parse_descriptors

since: 2.0.0

#### Declaration [src]

    GPtrArray*
    fu_hid_device_parse_descriptors (
      FuHidDevice* self
      GError** error
    )

#### Description [src]

Parses the HID descriptors.

Available since: 2.0.0

#### Return value

Type: An array of `FuHidDescriptor*`

Descriptors, or `NULL` for error.

The caller of the method takes ownership of the returned data container, but not the data inside it.